# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSyntaxHighlighter Class Reference

Syntax sensitive text highlighter. More...

`#include <ksyntaxhighlighter.h>`

Inheritance diagram for KSyntaxHighlighter:

[legend]
Collaboration diagram for KSyntaxHighlighter:

[legend]
List of all members.

## Public Types

enum | SyntaxMode { PlainTextMode, RichTextMode }

## Public Member Functions

| KSyntaxHighlighter (QTextEdit *textEdit, bool colorQuoting=false, const QColor &QuoteColor0=black, const QColor &QuoteColor1=QColor(0x00, 0x80, 0x00), const QColor &QuoteColor2=QColor(0x00, 0x80, 0x00), const QColor &QuoteColor3=QColor(0x00, 0x80, 0x00), SyntaxMode mode=PlainTextMode)
int | highlightParagraph (const QString &text, int endStateOfLastPara)

## Detailed Description

Syntax sensitive text highlighter.

Definition at line 42 of file ksyntaxhighlighter.h.

The documentation for this class was generated from the following files:

- ksyntaxhighlighter.h
- ksyntaxhighlighter.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003